import { FASTElement } from '@microsoft/fast-element';
import { TestChannel } from './config';
import { TestEntity } from './types';
/**
 * @internal
 */
export declare class SubscriberTestElement extends FASTElement {
    /**
     * @public
     */
    channel: TestChannel;
    /**
     * @public
     */
    entities: TestEntity[];
    /**
     * @public
     */
    connectedCallback(): void;
    /**
     * @public
     */
    disconnectedCallback(): void;
}
/**
 * @internal
 */
export declare class BroadcasterTestElement extends FASTElement {
    /**
     * @public
     */
    channel: TestChannel;
    /**
     * @public
     */
    postLoadedMessage(detail: TestEntity[]): void;
    /**
     * @public
     */
    postUnloadedMessage(): void;
    /**
     * @public
     */
    disconnectedCallback(): void;
}
/**
 * @internal
 */
export declare class TestElement extends FASTElement {
    /**
     * @public
     */
    broadcaster: BroadcasterTestElement;
    /**
     * @public
     */
    subscriber: SubscriberTestElement;
}
//# sourceMappingURL=elements.d.ts.map